eth_getBlockByHash
Network: BSC · Mainnet · Chain ID 56 (0x38)
Counts as 1 request. See Request Counting.
Returns information about a block by block hash.
Parameters
DATA(32 bytes) — Hash of a block.Boolean— Iftrue, returns full transaction objects; iffalse, returns only transaction hashes.
Returns
Object|null — A block object (same structure as eth_getBlockByNumber), or null when no block was found.
Request
{
"jsonrpc": "2.0",
"method": "eth_getBlockByHash",
"params": ["0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae", false],
"id": 1
}Code Examples
curl -X POST https://bsc-rpc.blockreq.com/v1/rpc/public \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getBlockByHash","params":["0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae",false],"id":1}'